Subject: RE: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibufferfocuswhenitcalls`list-processes'

From: "Drew Adams" <[email-masked]>
Date: Thu, 9 Aug 2012 14:53:02 -0700

>  > Perhaps you can help by telling me what vanilla Emacs code 
>  > normally changes things so that the value [of (windows-parameters)]
>  > returned is non-nil.
> 
> `display-buffer-record-window'
> 
>  > I note that in Emacs 23 also (windows-parameters) returns nil for me.
> 
> `display-buffer-record-window' has been introduced in Emacs 24.1.

How does that make sense?  If `display-buffer-record-window' is what makes
`windows-parameters' return non-nil, and `windows-parameters' existed back in
Emacs 23, and `display-buffer-record-window' did not exist in Emacs 23, then
`windows-parameters' would have always returned nil in Emacs 23, no?

Why would it exist back then if it always returned nil?  Does/did it have side
effects or something?  And its doc even in Emacs 23 says that it returns a list
of elements of form (PARAMETER . VALUE).